Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.writer.imageio
Class ImageIOTIFFImageWriter

    java.lang.Object
      org.apache.xmlgraphics.image.writer.imageio.ImageIOImageWriter
          org.apache.xmlgraphics.image.writer.imageio.ImageIOTIFFImageWriter

All Implemented Interfaces:
  EventListener, IIOWriteWarningListener, ImageWriter

    public class ImageIOTIFFImageWriter

extends ImageIOImageWriter

ImageWriter that encodes TIFF images using Image I/O.

Version:
  $Id: ImageIOTIFFImageWriter.java 1345683 2012-06-03 14:50:33Z gadams $

Constructor Summary
`ImageIOTIFFImageWriter()` Main constructor.

Method Summary
`protected IIOMetadata` | `updateMetadata(IIOMetadata meta, ImageWriterParams params)` Updates the metadata information based on the parameters to this writer.

Methods inherited from class org.apache.xmlgraphics.image.writer.imageio.ImageIOImageWriter
`createMultiImageWriter, getChildNode, getDefaultWriteParam, getMIMEType, isFunctional, supportsMultiImageWriter, warningOccurred, writeImage, writeImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageIOTIFFImageWriter

    public ImageIOTIFFImageWriter()

  Main constructor.

Method Detail

### updateMetadata

    protected IIOMetadata updateMetadata(IIOMetadata meta,
                                         ImageWriterParams params)

  Description copied from class: `ImageIOImageWriter`
  Updates the metadata information based on the parameters to this writer.

  Overrides:
    `updateMetadata` in class `ImageIOImageWriter`
  Parameters:
    `meta` - the metadata
    `params` - the parameters
  Returns:
    the updated metadata
  See Also:
    `ImageIOImageWriter.updateMetadata(javax.imageio.metadata.IIOMetadata, org.apache.xmlgraphics.image.writer.ImageWriterParams)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.